कुंजी का अवलोकन
| कुंजी संस्करण | V3 |
|---|---|
| विनिर्देश | RFC 1991 · RFC 2440 · RFC 4880 |
| स्थिति | अप्रचलित – पुराना, केवल ऐतिहासिक अनुकूलता के लिए रखा गया |
| प्राथमिक कुंजी (प्रमाणित करना, हस्ताक्षर करना) | RSA 1024 · ID 1 |
| एन्क्रिप्शन उपकुंजी | कोई नहीं: संस्करण 2 और 3 की कुंजियों में उपकुंजियाँ नहीं होतीं, प्राथमिक RSA कुंजी एन्क्रिप्ट भी करती है (C/S/E एल्गोरिदम से निकाला जाता है) |
| फ़िंगरप्रिंट | 8C82CFA8E8957EA451848A6948E37C72 |
| निजी कुंजी का पासफ़्रेज़ | synthetic-key-password |
एल्गोरिदम और उपयोग
RSA 1024: 1024 बिट के मॉड्यूलस वाला RSA, जिसे आज तोड़ना संभव माना जाता है। केवल ऐतिहासिक अनुकूलता के लिए रखा गया; GnuPG इसे स्वीकार करता है, Sequoia और rPGP पर आधारित टूल 2048 बिट से छोटी कुंजियाँ अस्वीकार करते हैं और keys2 की-सर्वर भी।
सार्वजनिक कुंजी
सार्वजनिक कुंजी, उसके उपयोगकर्ता ID और स्वहस्ताक्षर के साथ। संस्करण 2 और 3 की कुंजियों में उपकुंजियाँ नहीं होतीं: वही RSA कुंजी हस्ताक्षर सत्यापित करती है और इस परीक्षण पहचान के लिए एन्क्रिप्शन में उपयोग होती है।
डाउनलोड करें → 522 बाइट
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
निजी कुंजी
ऊपर दिखाए गए पासफ़्रेज़ से सुरक्षित निजी कुंजी। केवल परीक्षण के लिए प्रकाशित: कोई भी इसका उपयोग कर सकता है।
डाउनलोड करें → 983 बाइट
दिखाएँ
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
निरस्तीकरण प्रमाणपत्र
पहले से बनाया गया कुंजी के असुरक्षित होने का प्रमाणपत्र, जिसका हस्ताक्षर वर्ग 0x20 है और जिसे RFC 1991 (“This is my key, and I have revoked it”) में परिभाषित किया गया है। इसे लागू करने वाला प्रोग्राम है PGP 2.6. इसे इम्पोर्ट करने से कुंजी निरस्त के रूप में चिह्नित होती है।
डाउनलोड करें → 725 बाइट
दिखाएँ
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin का हस्ताक्षर
CH-J Tools में इस कुंजी से बनाया गया test_1MB.bin का अलग ASCII-armored हस्ताक्षर। इसे test_1MB.bin.asc नाम से परीक्षण फ़ाइल के पास सहेजें।
डाउनलोड करें → 273 बाइट
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
हस्ताक्षर सत्यापित करें
संस्करण 3 और 2 की कुंजियों के लिए MD5 की स्पष्ट अनुमति वाला GnuPG 1.4 (gpg1), या ऐतिहासिक PGP, या CH-J Tools चाहिए। अस्थायी GNUPGHOME उपयोग करें ताकि परीक्षण कुंजी आपके वास्तविक कीरिंग में न जाए:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin